---
updatedAt: 2026-09-14T20:17:34.000Z
---

# Create an Account

Optional Query parameters 'RejectDuplicateCard' or 'OKToAddDuplicateCard'

RejectDuplicateCard: Use to disallow account creation if an account with card already exists

OKToAddDuplicateCard: Use to allow account creation if an account with card already exists

examples:

* /cards/?RejectDuplicateCard

* /cards/?OKToAddDuplicateCard


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Evolve's Card Acquiring",
    "contact": {
      "name": ""
    },
    "version": "1.02",
    "description": ""
  },
  "servers": [
    {
      "url": "https://apitest.getevolved.com/v1",
      "variables": {}
    }
  ],
  "paths": {
    "/accounts/cards": {
      "post": {
        "tags": [
          "Accounts"
        ],
        "summary": "Create an Account",
        "description": "Optional Query parameters 'RejectDuplicateCard' or 'OKToAddDuplicateCard'\n\nRejectDuplicateCard: Use to disallow account creation if an account with card already exists\n\nOKToAddDuplicateCard: Use to allow account creation if an account with card already exists\n\nexamples:\n\n* /cards/?RejectDuplicateCard\n\n* /cards/?OKToAddDuplicateCard\n",
        "operationId": "CreateAccount",
        "parameters": [
          {
            "name": "x-Client-ID",
            "in": "header",
            "description": "Provided by Evolve",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "x-Merchant-ID",
            "in": "header",
            "description": "Provided by Evolve",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ocp-apim-subscription-key",
            "in": "header",
            "description": "Provided by Evolve",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAccountRequest"
              },
              "examples": {
                "Card": {
                  "value": {
                    "referenceID": "string",
                    "owner": {
                      "name": {
                        "company": "string",
                        "first": "string",
                        "middle": "string",
                        "last": "string",
                        "suffix": "string"
                      },
                      "address": {
                        "line1": "string",
                        "line2": "string",
                        "city": "string",
                        "state": "string",
                        "zipcode": "string",
                        "country": "840"
                      },
                      "phone": {
                        "countryCode": "string",
                        "number": "string"
                      }
                    },
                    "card": {
                      "accountNumber": "string",
                      "expirationDate": "string",
                      "keyID": "string",
                      "data": "string",
                      "token": "string",
                      "device": {
                        "id": "string",
                        "blob": "string"
                      }
                    }
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateAccountResponse"
                },
                "example": {
                  "default": {
                    "value": {
                      "SC": 0,
                      "EC": "string",
                      "accountID": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "CreateAccountRequest": {
        "title": "CreateAccountRequest",
        "type": "object",
        "required": [
          "referenceID"
        ],
        "properties": {
          "referenceID": {
            "type": "string",
            "description": "User defined unique identifier",
            "minLength": 1,
            "maxLength": 15,
            "pattern": "[a-zA-Z0-9_-]{1,15}$"
          },
          "owner": {
            "type": "object",
            "description": "Card account holder",
            "properties": {
              "name": {
                "$ref": "#/components/schemas/Name"
              },
              "address": {
                "$ref": "#/components/schemas/Address"
              },
              "phone": {
                "$ref": "#/components/schemas/Phone"
              }
            }
          },
          "card": {
            "type": "object",
            "properties": {
              "accountNumber": {
                "type": "string",
                "description": "Payment card number",
                "pattern": "^[0-9]{13,19}$"
              },
              "expirationDate": {
                "type": "string",
                "pattern": "^[0-9]{6}$",
                "description": "Card Number's Expiration Date. Formatted 'YYYYMM'"
              },
              "keyID": {
                "type": "string",
                "description": "22 character KeyID. Ensure the RSA key you're using to encrypt the card data is consistent with this keyID",
                "pattern": "^[a-zA-Z0-9_-]{22}$"
              },
              "data": {
                "type": "string",
                "description": "RSA-encrypted card data using RSA key with KeyID\n\n* No spaces\n* Pipe symbol (|) separated\n* Expiration Date, Security Code optional\n\nUnencrypted Card Data Format:\nCardNumber|Expiration Date| Security Code\n",
                "pattern": "^[A-Za-z0-9_+=-]{344}$"
              },
              "token": {
                "type": "string",
                "description": "Card Token"
              },
              "device": {
                "$ref": "#/components/schemas/Device"
              }
            }
          }
        }
      },
      "CreateAccountResponse": {
        "title": "CreateAccountResponse",
        "type": "object",
        "properties": {
          "SC": {
            "type": "integer",
            "format": "int32",
            "description": "Internal Status Code"
          },
          "EC": {
            "type": "string",
            "description": "Internal Error Code"
          },
          "accountID": {
            "type": "string",
            "description": "AccountID for cardholder"
          },
          "card": {
            "type": "object",
            "properties": {
              "last4": {
                "type": "string",
                "description": "Last four of the Card Number"
              },
              "expirationDate": {
                "type": "string",
                "pattern": "^[0-9]{6}$",
                "description": "Card Number's Expiration Date"
              }
            }
          }
        }
      },
      "Name": {
        "title": "name",
        "type": "object",
        "description": "Pass either 'company' or 'first, middle, last & suffix'",
        "oneOf": [
          {
            "required": [
              "company"
            ]
          },
          {
            "required": [
              "first",
              "last"
            ]
          }
        ],
        "properties": {
          "company": {
            "type": "string",
            "description": "Name of the business of the bank or card account",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "first": {
            "type": "string",
            "description": "Card or Bank account holder's first name",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "middle": {
            "type": "string",
            "description": "Card or Bank account holder's middle name or initial",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "last": {
            "type": "string",
            "description": "Card or Bank account holder's last name",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "suffix": {
            "type": "string",
            "description": "Card or Bank account holder's suffix",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          }
        }
      },
      "Address": {
        "title": "address",
        "type": "object",
        "properties": {
          "line1": {
            "type": "string",
            "description": "Address Line 1",
            "pattern": "^[ a-zA-Z0-9._-]+$"
          },
          "line2": {
            "type": "string",
            "description": "Address Line 2",
            "pattern": "^[ a-zA-Z0-9._-]+$"
          },
          "city": {
            "type": "string",
            "description": "City",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "state": {
            "type": "string",
            "description": "2 Character U.S. State Code",
            "minLength": 2,
            "maxLength": 2,
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "zipcode": {
            "type": "string",
            "description": "Zip Code is only validated if 'country' is '840' or '124'.  If country=840 zipcode is 5 to 9 digits.  If country=124 zipcode is 'A1A 1A1",
            "pattern": "^[ a-zA-Z0-9_-]+$"
          },
          "country": {
            "type": "string",
            "description": "ISO 3166-1 numeric",
            "pattern": "^[0-9]{3}$",
            "default": 840
          }
        }
      },
      "Phone": {
        "title": "phone",
        "type": "object",
        "required": [
          "number"
        ],
        "description": "E.164 numbering",
        "properties": {
          "countryCode": {
            "type": "string",
            "description": "1 to 3 digits",
            "pattern": "^[0-9]{3}$"
          },
          "number": {
            "type": "string",
            "description": "Primary phone number",
            "minLength": 4,
            "maxLength": 14,
            "pattern": "^[0-9]{4,14}$"
          }
        }
      },
      "Device": {
        "title": "device",
        "type": "object",
        "required": [
          "id",
          "blob"
        ],
        "description": "Card Data from a secure device",
        "properties": {
          "id": {
            "type": "string",
            "description": "Device ID"
          },
          "blob": {
            "type": "string",
            "description": "Base64 encoded card data",
            "pattern": "^[A-Za-z0-9_+=-]{1500}$"
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Accounts",
      "description": ""
    }
  ]
}
```